com.pdfunit.validators

## Class MultiDocumentFieldPropertyValidator

- java.lang.Object
- - com.pdfunit.validators.MultiDocumentFieldPropertyValidator

-     @DoNotObfuscate
      public final class MultiDocumentFieldPropertyValidator
      extends java.lang.Object

  This class provides methods to validate the properties of a single field of an acro form for all given PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016
  See Also:
    `SingleFieldValidator`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MultiDocumentFieldPropertyValidator(java.util.Vector<FieldPropertyValidator> fieldPropertyValidators)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiDocumentFieldPropertyValidator` | `checked()`
    `MultiDocumentFieldPropertyValidator` | `editable()`
    `MultiDocumentFieldPropertyValidator` | `exportable()`
    `MultiDocumentFieldPropertyValidator` | `multiLines()`
    `MultiDocumentFieldPropertyValidator` | `multiSelect()`
    `MultiDocumentFieldPropertyValidator` | `notExportable()`
    `MultiDocumentFieldPropertyValidator` | `notSigned()`
    `MultiDocumentFieldPropertyValidator` | `notVisibleInPrint()`
    `MultiDocumentFieldPropertyValidator` | `notVisibleOnScreen()`
    `MultiDocumentFieldPropertyValidator` | `optional()`
    `MultiDocumentFieldPropertyValidator` | `passwordProtected()`
    `MultiDocumentFieldPropertyValidator` | `readOnly()`
    `MultiDocumentFieldPropertyValidator` | `required()`
    `MultiDocumentFieldPropertyValidator` | `signed()`
    `MultiDocumentFieldPropertyValidator` | `singleLine()`
    `MultiDocumentFieldPropertyValidator` | `singleSelectable()`
    `MultiDocumentFieldPropertyValidator` | `unchecked()`
    `MultiDocumentFieldPropertyValidator` | `visibleInPrint()`
    `MultiDocumentFieldPropertyValidator` | `visibleOnScreen()`
    `MultiDocumentFieldPropertyValidator` | `visibleOnScreenAndInPrint()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiDocumentFieldPropertyValidator

          protected MultiDocumentFieldPropertyValidator(java.util.Vector<FieldPropertyValidator> fieldPropertyValidators)

  - ### Method Detail

    - #### checked

          public MultiDocumentFieldPropertyValidator checked()

    - #### editable

          public MultiDocumentFieldPropertyValidator editable()

    - #### exportable

          public MultiDocumentFieldPropertyValidator exportable()

    - #### multiLines

          public MultiDocumentFieldPropertyValidator multiLines()

    - #### multiSelect

          public MultiDocumentFieldPropertyValidator multiSelect()

    - #### notExportable

          public MultiDocumentFieldPropertyValidator notExportable()

    - #### notSigned

          public MultiDocumentFieldPropertyValidator notSigned()

    - #### notVisibleInPrint

          public MultiDocumentFieldPropertyValidator notVisibleInPrint()

    - #### notVisibleOnScreen

          public MultiDocumentFieldPropertyValidator notVisibleOnScreen()

    - #### optional

          public MultiDocumentFieldPropertyValidator optional()

    - #### passwordProtected

          public MultiDocumentFieldPropertyValidator passwordProtected()

    - #### readOnly

          public MultiDocumentFieldPropertyValidator readOnly()

    - #### required

          public MultiDocumentFieldPropertyValidator required()

    - #### signed

          public MultiDocumentFieldPropertyValidator signed()

    - #### singleLine

          public MultiDocumentFieldPropertyValidator singleLine()

    - #### singleSelectable

          public MultiDocumentFieldPropertyValidator singleSelectable()

    - #### unchecked

          public MultiDocumentFieldPropertyValidator unchecked()

    - #### visibleInPrint

          public MultiDocumentFieldPropertyValidator visibleInPrint()

    - #### visibleOnScreen

          public MultiDocumentFieldPropertyValidator visibleOnScreen()

    - #### visibleOnScreenAndInPrint

          public MultiDocumentFieldPropertyValidator visibleOnScreenAndInPrint()

Copyright (C) PDFUnit.com. See here for license.